XBPS-PKGDB(1)

NAME
xbps-pkgdb - XBPS utility to report/fix issues and modify the package database (pkgdb)

SYNOPSIS
xbps-pkgdb [OPTIONS] [PKGNAME...]

DESCRIPTION
The xbps-pkgdb utility can check/fix issues and modify the package database (pkgdb). It's able to check for missing dependencies, modified files and symlinks, and more errors that have been fixed in newer versions of xbps. A mode to update the format to the latest version is also available. This is the list of things that xbps-pkgdb currently does:

METADATA CHECK
    Checks that package metadata files have not been modified by comparing original hash that is recorded when package is installed against current one.

FILES CHECK
    Checks that all files belonging to a package have not been modified and are not missing. For regular files, its modification time and the SHA256 hash are compared and checked if they differ. For symbolic links the target file is checked that it has not been modified.

DEPENDENCIES CHECK
    Checks that all required dependencies for a package are resolved.

OBSOLETE METADATA CHECK
    Checks that the package database does not contain obsolete data from previous XBPS versions and removes them if found.

FORMAT CONVERSION
    Updates the pkgdb format to the latest version.

OPTIONS

-a, --all
    Process all registered packages, regardless of its state.

-C, --config dir
    Specifies a path to the XBPS configuration directory. If the first character is not '' then it's a relative path of rootdir.

-d, --debug
    Enables extra debugging shown to stderr.

-h, --help
    Show the help message.

-m, --mode auto|manual|hold|unhold|repolock|repounlock
    Switches PKGNAME to the specified mode: automatic or manual installation mode, or to (un)set the on hold mode, and repository locked mode. A package that was installed as dependency will be in automatic mode, otherwise will be set to manual. A package in hold mode won't be updated in full system upgrades. The list of packages in this mode can be seen with xbps-query(1). A package in repolock mode will only accept updates that are available in the same repository that was used for installing.

-r, --rootdir dir
    Specifies a full path for the target root directory.

-u, --update
    Updates the pkgdb format to the latest version making the necessary conversions automatically. Usually this is needed only in rare circumstances.

-v, --verbose
    Enables verbose messages.

-V, --version
    Show the version information.

FILES

/etc/xbps.d
    Default configuration directory.

/usr/share/xbps.d
    Default system configuration directory.

/var/db/xbps/.<pkgname>-files.plist
    Package files metadata.

/var/db/xbps/pkgdb-0.38.plist
    Default package database (0.38 format). Keeps track of installed packages and properties.

/var/cache/xbps
    Default cache directory to store downloaded binary packages.

SEE ALSO
xbps-checkvers(1), xbps-create(1), xbps-dgraph(1), xbps-fbulk(1), xbps-install(1), xbps-query(1), xbps-reconfigure(1), xbps-remove(1), xbps-rindex(1), xbps-uchroot(1), xbps-uunshare(1), xbps.d(5)

AUTHORS
Juan Romero Pardines <xtraeme@gmail.com>

BUGS
Probably, but I try to make this not happen. Use it under your own responsibility and enjoy your life.

Report bugs at https://github.com/voidlinux/xbps/issues